<div class="champion" *ngIf="champion && champion.name">
  <div
    class="champion-header"
    [style.background-image]="
      '-webkit-linear-gradient(top, rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url(' +
      champion.skins[0].splash +
      ')'
    "
  >
    <a class="name">
      {{ champion.name }}
    </a>

    <div class="resume">{{ champion.resume }}</div>
    <div class="tags">
      <div class="tag" *ngFor="let tag of champion.tags">
        <img [src]="'assets/icons/tags/' + tag + '_icon.png'" /><span>{{
          tag
        }}</span>
      </div>
    </div>
  </div>

  <div class="abilities">
    <div class="title">ABILITIES</div>
    <div class="ability">
      <img [src]="champion.passive.image" />
      <div class="abilitie-texts">
        <div>{{ champion.passive.name }}</div>
        <div [innerHtml]="champion.passive.description"></div>
      </div>
    </div>

    <div class="ability" *ngFor="let spell of champion.spells">
      <img [src]="spell.image" />
      <div class="abilitie-texts">
        <div>{{ spell.name }}</div>
        <div [innerHtml]="spell.description"></div>
      </div>
    </div>
  </div>

  <div class="skins-container">
    <div class="title">SKINS</div>
  </div>
  <mat-tab-group mat-align-tabs="center">
    <mat-tab [label]="skin.name" *ngFor="let skin of champion.skins"
      ><img class="splash" [src]="skin.splash"
    /></mat-tab>
  </mat-tab-group>

  <div class="tips">
    <div class="tips-column">
      <div class="title">ALLY TIPS</div>
      <p *ngFor="let tip of champion.ally_tips">{{ tip }}</p>
    </div>
    <div class="tips-column">
      <div class="title">ENEMY TIPS</div>
      <p *ngFor="let tip of champion.enemy_tips">{{ tip }}</p>
    </div>
  </div>

  <div class="play-rates">
    <div class="title">
      PLAY RATE
      <p class="global">GLOBAL PICK RATE: {{ globalPickRate.toFixed(2) }}%</p>
    </div>

    <div class="pick-rates-container">
      <div class="pick-rate" *ngFor="let play_rate of serializedPlayRates">
        <img
          [src]="'assets/icons/positions/' + play_rate.position + '_icon.png'"
        />
        <span>{{ play_rate.position }}</span>
        <span>{{ play_rate.value.toFixed(2) }}%</span>
      </div>
    </div>
  </div>
</div>

<app-spinner [show]="showSpinner"></app-spinner>
